function Create(self)
	self.Frame = 1
	
	-- Remove any inventory
	if not self:IsInventoryEmpty() then
		self.HitsMOs = false
		self.GetsHitByMOs = false
		self.ToDelete = true
		
		local Activ = ActivityMan:GetActivity()
		Activ:SetTeamFunds(Activ:GetTeamFunds(self.Team) + self.TotalValue - self.GoldValue, self.Team)
		Activ:ReportDeath(self.Team, -1)
		
		-- Create the escape pod.
		local Act = CreateACRocket("Escape Pod", "Dummy Expansion.rte")
		if Act then
			Act.Pos = self.Pos
			Act.Vel = self.Vel
			Act.RotAngle = self.RotAngle
			Act.Team = self.Team
			MovableMan:AddActor(Act)
		end
	else
		self.Wpt = self:GetLastAIWaypoint()
		if SceneMan:ShortestDistance(self.Wpt, self.Pos, false).Magnitude < 5 then
			self.Wpt = nil
		end
	end
end

function Destroy(self)
	if ((self.Pos.Y > 0 and self.Pos.Y < SceneMan.SceneHeight) or SceneMan.SceneWrapsY) and
		((self.Pos.X > 0 and self.Pos.X < SceneMan.SceneWidth) or SceneMan.SceneWrapsX)
	then
		self.HitsMOs = false
		self.GetsHitByMOs = false
		
		local Crb = CreateAHuman("Dummy Pilot", "Dummy Expansion.rte")
		if Crb then
			Crb.Pos = self.Pos + Vector(0, -5)
			Crb.Vel = Vector(0, 0)
			Crb.RotAngle = self.RotAngle
			Crb.Team = self.Team
			
			-- Any order given to the drop crate is transfered to the Dummy Pilot.
			if not self.Wpt then
				Crb.AIMode = Actor.AIMODE_SENTRY
			else
				Crb.AIMode = Actor.AIMODE_GOTO
				Crb:AddAISceneWaypoint(self.Wpt)
			end
			
			MovableMan:AddActor(Crb)
			ActivityMan:GetActivity():ReportDeath(self.Team, -1)
		end
	end
end

function Update(self)
	local rotate = false
	if self.RotAngle > 0.01 then
		self.AngularVel = -0.05
	elseif self.RotAngle < -0.01 then
		self.AngularVel = 0.05
	end
end